Subject: RE: [PATCH] s2io: replace readq() with mmiowb() in s2io_xmit()

From: "Ramkrishna Vepa" <[email-masked]>
Date: Mon, 2 May 2005 19:58:38 -0700

> > I didnt know mmiowb is supposed to be a replacement for PCI write
> > posting. Most architectures define mmiowb as nothing and so will be
> > broken with your change.
> >
> 
> I thought that an arch was supposed to define mmiowb() if it needs
> it. In this case, the readq() is only being used for the side-effect
> of ordering the previous writes (the neterion folks can correct me
> if I'm wrong).
[Ram] Yes, it is to ensure ordering as well as the flush of the io that is
required in some platforms.
 
> --
> Arthur